Codebase list glance / 543fdfe
Merge branch 'debian/unstable' into debian/experimental Ghe Rivero 12 years ago
5 changed file(s) with 23 addition(s) and 18 deletion(s). Raw diff Collapse all Expand all
0 glance (2012.1~e2-4) unstable; urgency=low
1
2 * Fix new packages replaces
3 * Fix init script stop action
4 * Fix depends on httplib2
5 * Do not fail if db_sync fails
6
7 -- Julien Danjou <acid@debian.org> Tue, 20 Dec 2011 10:26:52 +0100
8
09 glance (2012.1~e2+git66-gea99d1c-1) experimental; urgency=low
110
211 * New snapshot release
716
817 [ Ghe Rivero ]
918 * Fix piuparts errors
10 * Split glance into api and registriy daemons
19 * Split glance into api and registry daemons
1120 * Fixed embeded javascript library in python-glance-doc
1221
1322 -- Ghe Rivero <ghe@debian.org> Mon, 19 Dec 2011 17:48:42 +0100
1616 python-migrate,
1717 python-routes,
1818 python-boto,
19 python-kombu
19 python-kombu,
20 python-httplib2 (>= 0.6.0)
2021 Standards-Version: 3.9.2
21 X-Python-Version: >= 2.6
2222 Homepage: http://launchpad.net/glance
2323 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/glance.git;a=summary
2424 Vcs-Git: git://anonscm.debian.org/openstack/glance.git
3737 python-migrate,
3838 python-kombu,
3939 python-xattr,
40 python-crypto
41 Provides: ${python:Provides}
40 python-crypto,
41 python-httplib2 (>= 0.6.0)
4242 Description: OpenStack Image Registry and Delivery Service - Python client library
4343 The Glance project provides an image registration, discovery and
4444 delivery service. These services may be used as stand-along services, and
5050 Package: glance-common
5151 Architecture: all
5252 Section: python
53 Replaces: glance (<< 2012.1~e2-3)
5354 Depends: ${python:Depends}, ${misc:Depends},
5455 adduser,
5556 python-eventlet,
5758 python-migrate,
5859 python-routes,
5960 python-sqlalchemy-ext | python-sqlalchemy (<< 0.6.3-2),
60 python-xattr
61 python-xattr,
62 python-paste
6163 Description: OpenStack Image Registry and Delivery Service - Common
6264 The Glance project provides an image registration, discovery and
6365 delivery service. These services may be used as stand-along services, and
6971 Package: glance-api
7072 Architecture: all
7173 Section: python
72 Replaces: glance (<< 2012.1~e1-2)
74 Replaces: glance (<< 2012.1~e2-3)
7375 Depends: ${python:Depends}, ${misc:Depends}, glance-common (= ${source:Version})
7476 Description: OpenStack Image Registry and Delivery Service - API
7577 The Glance project provides an image registration, discovery and
8284 Package: glance-registry
8385 Architecture: all
8486 Section: python
85 Replaces: glance (<< 2012.1~e2-2)
87 Replaces: glance (<< 2012.1~e2-3)
8688 Depends: ${python:Depends}, ${misc:Depends}, glance-common (= ${source:Version})
8789 Description: OpenStack Image Registry and Delivery Service - Registry
8890 The Glance project provides an image registration, discovery and
115117 they may also be used by Nova to deliver images from object stores, such as
116118 OpenStack's Swift service, to Nova's compute nodes.
117119 .
118 This package contains the documentation.
120 This package contains the documentation.
3636
3737 do_stop()
3838 {
39 start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
39 start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE
4040 RETVAL="$?"
41 [ "$RETVAL" = 2 ] && return 2
42 start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --name $NAME
43 [ "$?" = 2 ] && return 2
4441 rm -f $PIDFILE
4542 return "$RETVAL"
4643 }
3636
3737 do_stop()
3838 {
39 start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
39 start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE
4040 RETVAL="$?"
41 [ "$RETVAL" = 2 ] && return 2
42 start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --name $NAME
43 [ "$?" = 2 ] && return 2
4441 rm -f $PIDFILE
4542 return "$RETVAL"
4643 }
55 then
66 if ! grep sql_connection /etc/glance/glance-registry.conf | grep -qv "sql_connection = sqlite:////var/lib/glance/glance.sqlite"
77 then
8 su -c 'glance-manage db_sync' glance
8 su -c 'glance-manage db_sync' glance || true
99 fi
1010 fi
1111